

#ifndef DEBUG_H
#define DEBUG_H 1

#include <config.h>
#include <syslog.h>


#ifdef DEBUG

#define debug_perror(x) f_debug_perror(x)
#define debug(s...) f_debug(##s)
#define debug_dns(c,v) f_debug_dns(c,v)
#define debug_cache_data(p) f_debug_cache_data(p)

extern void f_debug_perror(char *);
extern void f_debug(char * fmt, ... );
extern void f_debug_dns(char * , void *);
extern const char * debug_errmsg( int );

#else

#define debug_perror(x)
#define debug(s...)
#define debug_dns(c,v)
#define debug_cache_data(p)
extern const char * debug_errmsg(int);
#endif
#endif /* DEBUG_H */

